
Hammer CLI - Bug #3915

Hammer does not handle 404s well

12/18/2013 06:26 PM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Foreman commands (obsolete)   

Target version: 1.9.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

Hammer should return more informative messages than

Could not create the subnet:

  404 Resource Not Found

 or

RestClient::ResourceNotFound (404 Resource Not Found)

when --verbose is set.   

https://github.com/theforeman/foreman/pull/1098 needs to be merged for this to happen though.

Related issues:

Has duplicate Hammer CLI - Bug #3514: Improve 404 response when a resource is... Duplicate 10/25/2013

Blocked by Foreman - Bug #3515: Associated resources not found by ID causes 5... Closed 10/25/2013

Associated revisions

Revision e34ae228 - 01/15/2014 02:09 PM - Tomas Strachota 

fixes #3915 - better handling of 404 exceptions

Revision b3598466 - 01/16/2014 02:35 PM - mbacovsky 

Merge pull request #68 from tstrachota/3915_not_found

fixes #3915 - better handling of 404 exceptions

History

#1 - 12/18/2013 06:27 PM - Daniel Lobato Garcia

- Related to Bug #3515: Associated resources not found by ID causes 500 Internal Server Error added

#2 - 12/18/2013 06:27 PM - Daniel Lobato Garcia

- Related to deleted (Bug #3515: Associated resources not found by ID causes 500 Internal Server Error)

#3 - 12/18/2013 06:27 PM - Daniel Lobato Garcia

- Blocked by Bug #3515: Associated resources not found by ID causes 500 Internal Server Error added

#4 - 01/15/2014 11:51 AM - Tomáš Strachota

- Has duplicate Bug #3514: Improve 404 response when a resource isn't found added

#5 - 01/15/2014 11:55 AM - Tomáš Strachota
https://github.com/theforeman/foreman/pull/1098


- Category changed from Hammer core to Foreman commands (obsolete)

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

Switched the category to Foreman commands as the handling will be foreman specific.

#6 - 01/15/2014 02:14 PM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/hammer-cli-foreman/pull/68

#7 - 01/15/2014 02:22 PM - Dominic Cleal

- Target version set to 1.9.2

#8 - 01/16/2014 03:22 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman:hammer-cli-foreman|commit:e34ae228a4c29d01952bf3372ca8598543213b38.
